app_books:
    resource: |
        alias: app.book
        grid: app_book
        only: ['index']
    type: sylius.resource_api

app_author:
    resource: |
        alias: app.author
        grid: app_author
        only: ['index']
    type: sylius.resource_api

app_books_by_american_authors:
    resource: |
        alias: app.book
        section: american_authors
        grid: app_book_by_american_authors
        only: ['index']
    type: sylius.resource_api
    prefix: /by-american-authors

app_books_by_english_authors:
    resource: |
        alias: app.book
        section: english_authors
        grid: app_book_by_english_authors
        only: ['index']
    type: sylius.resource_api
    prefix: /by-english-authors

app_author_with_books_with_fetch_join_collection_disabled:
    path: /authors/with-books/with-fetch-join-collection-disabled
    methods: [GET]
    defaults:
        _controller: app.controller.author:indexAction
        _sylius:
            grid: app_author_with_books_with_fetch_join_collection_disabled

app_author_with_books_with_fetch_join_collection_enabled:
    path: /authors/with-books/with-fetch-join-collection-enabled
    methods: [GET]
    defaults:
        _controller: app.controller.author:indexAction
        _sylius:
            grid: app_author_with_books_with_fetch_join_collection_enabled

app_author_with_books_with_use_output_walkers_disabled:
    path: /authors/with-books/with-use-output-walkers-disabled
    methods: [GET]
    defaults:
        _controller: app.controller.author:indexAction
        _sylius:
            grid: app_author_with_books_with_use_output_walkers_disabled

app_author_with_books_with_use_output_walkers_enabled:
    path: /authors/with-books/with-use-output-walkers-enabled
    methods: [GET]
    defaults:
        _controller: app.controller.author:indexAction
        _sylius:
            grid: app_author_with_books_with_use_output_walkers_enabled
